
int sw1 = 13;
int motion = 11;
int sw2 = 12;
int motionState = 0;
int lamp1 = 0;
int lamp2 = 0;
int currentlamp2 = 0;
int currentlamp1 = 0;
int currentmotion = 0;
float refcur1;
float refcur2;
int zipa1;
int zipa2;

boolean run1 = false;
boolean run2 = false;
int time1 = 0;
int time2 = 0;

const int channel1 = 1;
const int channel2 = 2;
int sensitivity = 100;
float adcvalue = 0;
int offsetvoltage = 2500;
float Voltage = 0;
float ecurrent = 0;

float adcvalue2 = 0;
float Voltage2 = 0;
float ecurrent2 = 0;

boolean refCheck = false;



ZUNO_SETUP_SLEEPING_MODE(ZUNO_SLEEPING_MODE_ALWAYS_AWAKE);

ZUNO_SETUP_CHANNELS(
  ZUNO_SWITCH_BINARY(getterlamp1, setterlamp1),
  ZUNO_SWITCH_BINARY(getterlamp2, setterlamp2),
  ZUNO_SENSOR_BINARY_MOTION(getterMotion)
);

void setup() {
  //outputs
  pinMode(12, OUTPUT);
  pinMode(13, OUTPUT);

  //inputs
  pinMode(11, INPUT);



  //Serial.begin(9600);

}


void loop() {
  if (refCheck == false) {
    ref1();
    ref2();
    refCheck = true;
  }


  // motion
  motionState = digitalRead(motion);
  if (currentmotion != motionState) {
    currentmotion = motionState;
    zunoSendReport(3);
  }

  //check if on
  check1();
  check2();



  if ((currentlamp2 != zipa2) && (run2 == false)) {
    digitalWrite(sw2, HIGH);
    delay(100);
    digitalWrite(sw2, LOW);
    run2 = true;
  }


  if ((currentlamp1 != zipa1) && (run1 == false)) {
    digitalWrite(sw1, HIGH);
    delay(100);
    digitalWrite(sw1, LOW);
    run1 = true;
  }

  if (run1 == true) {
    time1 = time1 + 1;
    if (time1 == 5) {
      run1 = false;
      time1 = 0;
    }

  }
  if (run2 == true) {
    time2 = time2 + 1;
    if (time2 == 5) {
      run2 = false;
      time2 = 0;
    }

  }


  //send Lamp change
  if (currentlamp1 != lamp1) {
    zunoSendReport(1);
    currentlamp1 = lamp1;
    zipa1 = lamp1;
  }

  if (currentlamp2 != lamp2) {
    zunoSendReport(2);
    currentlamp2 = lamp2;
    zipa2 = lamp2;
  }

//  Serial.println(motionState);

  delay(500);
}






